.\" $Id: xsecure.man,v 1.1 1994/10/15 17:30:30 elf Exp $
.TH XSECURE l "15 Oct 1994" "X Version 11 Release 6"

.SH NAME
xsecure \- X console locker (may be used with \fIxfishtank\fP)

.SH SYNOPSIS
.B xsecure
[ pid ]

.SH DESCRIPTION
When executed with a process-id, \fIxsecure\fP sends a SIGUSR1 
signal to the process and waits for the user's password to be input. 
If the process is \fIxfishtank\fP, the aquarium-window will change its 
stacking order, raising itself to the front of all the other windows.
\fIxsecure\fP will then grab the keyboard and mouse and wait for 
keyboard input. 

If the keyboard-input matches the user's password (evaluated after a
newline is entered), \fIxfishtank\fP will revert to its normal
behaviour (running, behind all the other windows) and keyboard & mouse
control will resume.

.SH OPTIONS
.TP 8
None

.SH ARGUMENTS
.TP 8
pid
\fIpid\fP is a process-id, see \fIps(1)\fP.
.SH DEFAULTS
If a process is not specified, then \fIxsecure\fP will still lock the 
keyboard, but leave the screen visible to all and sundry that like to snoop.
.SH NOTES
A wrapper may be scripted (possibly called \fIxfishlock\fP)
around \fIxsecure\fP that magically obtains the \fIxfishtank\fP process-id.
Something similar to (under SunOS):
.nf

	xsecure `ps -agx|grep xfishtank|grep -v grep|grep -v $0|cut -c-5` $*&

or for hpux:
	
	xsecure `ps -agx|grep xfishtank|grep -v grep|grep -v $0|cut -c-6` $*&


.fi

.SH SEE ALSO
X(1), xfishtank(l), xscreensaver(l), xlock(l), ps(1), grep(1), cut(1)

.SH AUTHORS
.PP
Walter Milliken, original code for X10
.PP
Christopher Lott, enhancements (-r, -c options)
.PP
Luis Fernandes, X11 port and \fIxfishtank\fP adaptation.

.SH ACKNOWLEDGEMENTS
Eric Bina, testing \fIxsecure\fP on additional platforms. 

.SH BUGS
.PP
Should give some indication that it received the password after receiving
the \fIReturn\fP key.
.PP
Hitting \fIReturn\fP before entering the password is usually a good idea.
.PP
If caps lock is hit by mistake you wont get in till you
take if off... then just type in a couple of Carriage Returns.
.PP
The screen-blanker doesn't seem to restore itself sometimes (when used 
with \fIxfishtank\fP.

.SH THEME
.nf
		I's the boy that builds the boat
		I's the boy that sails her
		I's the boy that catches the fish
		  and takes them home to 'Liza
.fi

.SH COPYRIGHT
Copyright 1994, Luis Fernandes.

Permission to use, copy, hack, and distribute this software and its
documentation for any purpose and without fee is hereby granted,
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in
supporting documentation.

This application is presented as is without any implied or written
warranty.
